<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderGoodsResultMap" type="org.springblade.modules.finance.entity.OrderGoods">
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="out_trade_no" property="outTradeNo"/>
        <result column="goods_num" property="goodsNum"/>
        <result column="goods_price" property="goodsPrice"/>
        <result column="goods_spac_id" property="goodsSpacId"/>
        <result column="goods_spac_names" property="goodsSpacNames"/>
        <result column="goods_name" property="goodsName"/>
        <result column="goods_img" property="goodsImg"/>
        <result column="goods_type" property="goodsType"/>
        <result column="ticket_val" property="ticketVal"/>
    </resultMap>


    <select id="selectOrderGoodsPage" resultMap="orderGoodsResultMap">
        select * from t_order_goods where is_deleted = 0
    </select>

</mapper>
